Name:       la-libopus
Version:    1.3.1
Release:    2%{?dist}
Summary:    libopus
Group:      Applications/System
License:    MIT license
URL:        https://opus-codec.org/
%undefine   _disable_source_fetch
Source0:    https://archive.mozilla.org/pub/opus/opus-1.3.1.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: 	%packager
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make


%define debug_package %nil

%description
libopus

%prep

%setup -q -n opus-%{version}
#--enable-fuzzing        causes the encoder to make random decisions (do not use in production)
%build
./configure --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir} \
   --disable-static \
   --enable-float-approx --enable-assertions --enable-check-asm
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%check
make check %{?_smp_mflags}

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
#%doc AUTHORS CHANGES README TODO
/usr/include/opus/opus.h
/usr/include/opus/opus_defines.h
/usr/include/opus/opus_multistream.h
/usr/include/opus/opus_projection.h
/usr/include/opus/opus_types.h
/usr/lib64/libopus.la
/usr/lib64/libopus.so
/usr/lib64/libopus.so.0
/usr/lib64/libopus.so.0.8.0
/usr/lib64/pkgconfig/opus.pc
/usr/share/aclocal/opus.m4